Bug 958321 - Fedora 19 systemd-journald log or command buffer over-run
Summary: Fedora 19 systemd-journald log or command buffer over-run
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-30 22:07 UTC by R P Herrold
Modified: 2016-07-19 10:11 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:11:24 UTC
Type: Bug


Attachments (Terms of Use)

Description R P Herrold 2013-04-30 22:07:12 UTC
Description of problem:

F19 install

running a simple command over-runs either a logging, or a shell command buffer

running yum:

yum provides \*bin/switch\*

yields

[ 4775.116244] systemd-journald[138]: Failed to create new system journal: Argument list too long


Version-Release number of selected component (if applicable):

[root@vm-2-25 ~]# rpm -qa systemd\* fedora-release
systemd-202-3.fc19.i686
fedora-release-19-0.5.noarch
systemd-python-202-3.fc19.i686
systemd-libs-202-3.fc19.i686
systemd-sysv-202-3.fc19.i686
[root@vm-2-25 ~]#

How reproducible:

I ran: 
  yum provides \*bin/switch\*


Steps to Reproduce:

as above  


Actual results:

[ 4775.116244] systemd-journald[138]: Failed to create new system journal: Argument list too long


Expected results:

no limits here ... a silent operation


Additional info:

Comment 1 Lennart Poettering 2013-05-06 15:50:07 UTC
How disk space is currently free when this happens? on /var and on /run? How much disk space is used up by /var/log/journal/ and /run/log/journal when this happens?

Do you have any manual settings in /etc/systemd/journald.conf?

Comment 2 R P Herrold 2013-05-06 22:20:00 UTC
Presently
[root@vm-2-25 ~]# df -h
Filesystem      Size  Used Avail Use% Mounted on
/dev/vda1       3.4G  772M  2.4G  25% /
devtmpfs        495M     0  495M   0% /dev
tmpfs           502M     0  502M   0% /dev/shm
tmpfs           502M  336K  502M   1% /run
tmpfs           502M     0  502M   0% /sys/fs/cgroup
tmpfs           502M  4.0K  502M   1% /tmp
[root@vm-2-25 ~]#

in re-running the command, it does not encounter this, and so I cannot reproduce after the first failure.

I will do a fresh install to see if it recurs

Command history after testing is: 

[root@vm-2-25 ~]# history
    1  dmesg
    2  yum upgrade
    3  poweroff
    4  w
    5  df -h
    6  yum provides \*bin/switch\*
    7  yum clean all
    8  yum provides \*bin/switch\*
    9  history
[root@vm-2-25 ~]#

but that is all new, so the prior root history was lost as well when it died

Comment 3 Fedora End Of Life 2015-01-09 18:00:54 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jaroslav Reznik 2015-03-03 14:55:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora End Of Life 2016-07-19 10:11:24 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.